import inject = require("./inject");
import { id as mid} from "module";
import { TraceSource } from "@implab/core-amd/log/TraceSource";
const log = TraceSource.get(mid);

const plugin = {
    load: async (id: string, require: Require, cb: (param: any) => void) => {
        const url = require.toUrl(id);
        try {
            await inject.injectStylesheet(url);
            cb({ url });
        } catch (e) {
            log.error("CSS plugin failed to load {0} ({1}): {2}", id, url, e);
        }
    }
};
export = plugin;
